Package com.collibra.dgc.core.api.model.assignment

# Interface Assignment

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface Assignment extends Resource
Represents an assignment

Assignment is a collection of rules and statuses which apply to given scope which is represented by the reference to the asset type it refers and might be limited to some subset of communities and/or domains.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ArticulationRule>`
  `getArticulationRules()`
  Returns the list of articulation rules applying with the assignment.
  `NamedResourceReference`
  `getAssetType()`
  Returns the reference to the asset type the assignment applies to.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedAttributeTypeReferences()`
  Returns the list of `AssignedCharacteristicTypeReference`s which refer to `AttributeType`s.
  `List<AssignedAttributeType>`
  `getAssignedAttributeTypes()`
  Deprecated.
  Deprecated in favour of `getAssignedAttributeTypeReferences()`.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedCharacteristicTypeReferences()`
  Returns the list of `AssignedCharacteristicTypeReference`s.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedComplexRelationTypeReferences()`
  Returns the list of `AssignedCharacteristicTypeReference`s which refer to `ComplexRelationType`s.
  `List<AssignedComplexRelationType>`
  `getAssignedComplexRelationTypes()`
  Deprecated.
  Deprecated in favour of `getAssignedComplexRelationTypeReferences()`.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedDerivedRelationTypeReferences()`
  Returns the list of `AssignedCharacteristicTypeReference`s which refer to
  invalid reference

      com.collibra.dgc.core.api.model.meta.type.DerivedRelationType

  s.
  `List<AssignedCharacteristicTypeReference>`
  `getAssignedRelationTypeReferences()`
  Returns the list of `AssignedCharacteristicTypeReference`s which refer to `RelationType`s.
  `List<AssignedRelationType>`
  `getAssignedRelationTypes()`
  Deprecated.
  Deprecated in favour of `getAssignedRelationTypeReferences()`.
  `List<AssignmentInheritance>`
  `getAssignmentInheritances()`
  Returns the inheritances stemming from assignments applied to ancestors of the asset type of this assignment.
  `List<? extends AssignedCharacteristicType>`
  `getCharacteristicTypes()`
  Deprecated.
  Deprecated in favour of `getAssignedCharacteristicTypeReferences()`.
  `List<NamedDescribedResourceReference>`
  `getDataQualityRules()`
  Deprecated.
  This method will be removed in the future.
  `UUID`
  `getDefaultStatusId()`
  Returns the `id` of the default status.
  `List<NamedDescribedResourceReference>`
  `getDomainTypes()`
  Returns the list of references to domain types applying with the assignment.
  `Scope`
  `getScope()`
  Returns the scope contained by the assignment.
  `List<NamedDescribedResourceReference>`
  `getStatuses()`
  Returns the list of references to the statuses.
  `List<TraitAssignmentInheritance>`
  `getTraitAssignmentInheritances()`
  Returns the inheritances stemming from traits applied to the asset type of this assignment.
  `List<NamedResourceReference>`
  `getValidationRules()`
  Returns the list of references to validation rules (resourceDiscriminator: "Asset") applying with the assignment.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getAssetType

    NamedResourceReference getAssetType()
    Returns the reference to the asset type the assignment applies to.
    Returns:
      the reference to the asset type the assignment applies to

  - ### getStatuses

    List<NamedDescribedResourceReference> getStatuses()
    Returns the list of references to the statuses.
    Returns:
      the list of references to the statuses

  - ### getDefaultStatusId

    UUID getDefaultStatusId()
    Returns the `id` of the default status. This is the first status in the list of assigned statuses of the assignment.
    Returns:
      the `id` of the default status

  - ### getCharacteristicTypes

    @Deprecated(since="2025.04") List<? extends AssignedCharacteristicType> getCharacteristicTypes()
    Deprecated.
    Deprecated in favour of `getAssignedCharacteristicTypeReferences()`.
    Returns the list of assigned characteristic types (assignedResourceDiscriminator: "AttributeType", "RelationType" or "ComplexRelationType").
    Returns:
      the list of assigned characteristic types (attribute types, relation types and complex relation types)

  - ### getAssignedCharacteristicTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedCharacteristicTypeReferences()
    Returns the list of `AssignedCharacteristicTypeReference`s.
    Returns:
      the list of `AssignedCharacteristicTypeReference`s.

  - ### getAssignedAttributeTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedAttributeTypeReferences()
    Returns the list of `AssignedCharacteristicTypeReference`s which refer to `AttributeType`s.
    Returns:
      the list of `AssignedCharacteristicTypeReference`s.

  - ### getAssignedRelationTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedRelationTypeReferences()
    Returns the list of `AssignedCharacteristicTypeReference`s which refer to `RelationType`s.
    Returns:
      the list of `AssignedCharacteristicTypeReference`s.

  - ### getAssignedComplexRelationTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedComplexRelationTypeReferences()
    Returns the list of `AssignedCharacteristicTypeReference`s which refer to `ComplexRelationType`s.
    Returns:
      the list of `AssignedCharacteristicTypeReference`s.

  - ### getAssignedDerivedRelationTypeReferences

    List<AssignedCharacteristicTypeReference> getAssignedDerivedRelationTypeReferences()
    Returns the list of `AssignedCharacteristicTypeReference`s which refer to
    invalid reference

        com.collibra.dgc.core.api.model.meta.type.DerivedRelationType

    s.
    Returns:
      the list of `AssignedCharacteristicTypeReference`s.

  - ### getArticulationRules

    List<ArticulationRule> getArticulationRules()
    Returns the list of articulation rules applying with the assignment.
    Returns:
      the list of articulation rules applying with the assignment

  - ### getValidationRules

    List<NamedResourceReference> getValidationRules()
    Returns the list of references to validation rules (resourceDiscriminator: "Asset") applying with the assignment.
    Returns:
      the list of references to validation rules applying with the assignment

  - ### getDataQualityRules

    @Deprecated List<NamedDescribedResourceReference> getDataQualityRules()
    Deprecated.
    This method will be removed in the future.
    Returns the list of references to data quality rules applying with the assignment.
    Returns:
      the list of references to data quality rules applying with the assignment

  - ### getDomainTypes

    List<NamedDescribedResourceReference> getDomainTypes()
    Returns the list of references to domain types applying with the assignment.
    Returns:
      the list of references to domain types applying with the assignment

  - ### getScope

    Scope getScope()
    Returns the scope contained by the assignment.
    Returns:
      the scope contained by the assignment

  - ### getAssignedRelationTypes

    @Deprecated(since="2025.04") List<AssignedRelationType> getAssignedRelationTypes()
    Deprecated.
    Deprecated in favour of `getAssignedRelationTypeReferences()`.
    Returns only assigned characteristic types which are relation types.
    Returns:
      the assigned characteristic types which are relation types

  - ### getAssignedAttributeTypes

    @Deprecated(since="2025.04") List<AssignedAttributeType> getAssignedAttributeTypes()
    Deprecated.
    Deprecated in favour of `getAssignedAttributeTypeReferences()`.
    Returns only assigned characteristic types which are attribute types.
    Returns:
      the assigned characteristic types which are attribute types

  - ### getAssignedComplexRelationTypes

    @Deprecated(since="2025.04") List<AssignedComplexRelationType> getAssignedComplexRelationTypes()
    Deprecated.
    Deprecated in favour of `getAssignedComplexRelationTypeReferences()`.
    Returns only assigned characteristic types which are complex relation types.
    Returns:
      the assigned characteristic types which are complex relation types

  - ### getAssignmentInheritances

    List<AssignmentInheritance> getAssignmentInheritances()
    Returns the inheritances stemming from assignments applied to ancestors of the asset type of this assignment.
    Returns:
      the inheritances stemming from assignments applied to ancestors of the asset type of this assignment

  - ### getTraitAssignmentInheritances

    List<TraitAssignmentInheritance> getTraitAssignmentInheritances()
    Returns the inheritances stemming from traits applied to the asset type of this assignment.
    Returns:
      the inheritances stemming from traits applied to the asset type of this assignment